PETSc version 3.15.5
Fix/Edit manual page

# PetscHMapTFind

Query for key in the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTFind(PetscHMapT ht,KeyType key,PetscHashIter *iter,PetscBool *found)

### Input Parameters

| ht | - The hash table
| key | - The key

### Output Parameter

| iter | - Iterator referencing the value for key
| found | - Boolean indicating whether the key was present

### See Also

PetscHMapTIterGet(), PetscHMapTIterDel()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages